Bug 878353 - RESTAPI: Action methods in API return Response instead of Action entity
RESTAPI: Action methods in API return Response instead of Action entity
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Ori Liel
Elena
infra
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-11-20 04:05 EST by Michael Pasternak
Modified: 2016-02-10 14:34 EST (History)
9 users (show)

See Also:
Fixed In Version: SF3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 05:17:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Pasternak 2012-11-20 04:05:36 EST
Description of problem:

Action methods in API returns Response instead of Action entity,

Expected results:

more concrete type: Action
Comment 1 Ravi Nori 2012-11-26 23:27:03 EST
link: http://gerrit.ovirt.org/#/c/9501/

change id : I81bef482a5226818f252c5f8377ed4f2f389744d
Comment 2 Ori Liel 2012-12-10 07:47:49 EST
patch posted upstream: 
   http://gerrit.ovirt.org/#/c/9796/
Comment 3 Ori Liel 2012-12-24 03:29:38 EST
patch merged upstream: 
   commit d11dca13c60095076f72bc6240532825468ec2bb
Comment 4 Elena 2013-02-06 03:48:31 EST
Verified in si3
Comment 5 Itamar Heim 2013-06-11 05:17:54 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 05:42:11 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.